# Interface CreateCSS3DObjectType

interface CreateCSS3DObjectType {
id?: string;
innerHTML: string;
name?: string;
normal?: Vector3;
position?: Vector3;
scalar?: number;
sprite?: boolean;
timeout?: number;
visible?: boolean;
}

- Defined in lib/plugins/CSS3DPlugin/typing.ts:7

##### Index

### Properties

id?
innerHTML
name?
normal?
position?
scalar?
sprite?
timeout?
visible?

## Properties

### `Optional` id

id?: string

- Defined in lib/plugins/CSS3DPlugin/typing.ts:8

### innerHTML

innerHTML: string

- Defined in lib/plugins/CSS3DPlugin/typing.ts:10

### `Optional` name

name?: string

- Defined in lib/plugins/CSS3DPlugin/typing.ts:9

### `Optional` normal

normal?: Vector3

- Defined in lib/plugins/CSS3DPlugin/typing.ts:12

### `Optional` position

position?: Vector3

- Defined in lib/plugins/CSS3DPlugin/typing.ts:13

### `Optional` scalar

scalar?: number

- Defined in lib/plugins/CSS3DPlugin/typing.ts:14

### `Optional` sprite

sprite?: boolean

- Defined in lib/plugins/CSS3DPlugin/typing.ts:11

### `Optional` timeout

timeout?: number

- Defined in lib/plugins/CSS3DPlugin/typing.ts:16

### `Optional` visible

visible?: boolean

- Defined in lib/plugins/CSS3DPlugin/typing.ts:15